# WebAssemblyFlags | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

### Hierarchy

- WebAssemblyFlags

## Index

### Properties

- initTimeout
- numThreads
- proxy
- simd
- wasmPaths

## Properties

### Optional initTimeout

initTimeout?: number

- Defined in env.ts:38

Set or get a number specifying the timeout for initialization of WebAssembly backend, in milliseconds. A zero value indicates no timeout is set.

defaultvalue

  `0`

### Optional numThreads

numThreads?: number

- Defined in env.ts:21

set or get number of thread(s). If omitted or set to 0, number of thread(s) will be determined by system. If set to 1, no worker thread will be spawned.

This setting is available only when WebAssembly multithread feature is available in current context.

defaultvalue

  `0`

### Optional proxy

proxy?: boolean

- Defined in env.ts:51

Set or get a boolean value indicating whether to proxy the execution of main thread to a worker thread.

defaultvalue

  `false`

### Optional simd

simd?: boolean

- Defined in env.ts:30

set or get a boolean value indicating whether to enable SIMD. If set to false, SIMD will be forcely disabled.

This setting is available only when WebAssembly SIMD feature is available in current context.

defaultvalue

  `true`

### Optional wasmPaths

wasmPaths?: WasmPrefixOrFilePaths

- Defined in env.ts:44

Set a custom URL prefix to the .wasm files or a set of overrides for each .wasm file. The override path should be an absolute path.

Generated using TypeDoc